Skip to Content
author's profile photo Former Member
Former Member

SAP HANA and R server Integration

Hi predictive Experts,

We have a huge project here in Brazil where the whole predictive bundle are being consider (APL,PAL,AFM and R server).

The R server 2.15.0 was install as recommended in our official documentation (http://help.sap.com/hana/SAP_HANA_R_Integration_Guide_en.pdf).

However in the packages installations appears the following Error: this R is version 2.15.0, package 'xml2' requires R>= 3.1.0.

The official documentation does not mentioned R servers newest version. Do you know if it is compatible?

Do we have updated documentation on this topic?

Best Regards,

Daniel Martins.

Add a comment
10|10000 characters needed characters exceeded

Related questions

1 Answer

  • Best Answer
    Posted on Jul 12, 2016 at 07:44 PM

    Hi Daniel, Could you please refer to the SAP Note http://service.sap.com/sap/support/notes/2185029?

    Thanks & regards

    Antoine


    Solution

    SAP ensures interoperability through the SAP HANA R integration as possible by testing the integration against major R and Rserve release changes. SAP integration testing is currently primarily focused on SLES 11 and RedHat EL 6.5 operating system platforms. Newer releases of those platforms will be adopted in testing as they are supported as SAP HANA operationg system platforms.


    The integration is not yet supported on the IBM Power Systems platform targeted for SAP HANA.

    Testing and support for this operating system platform will be extended in the future.


    SAP has tested interoperability between SAP HANA (beginning SAP HANA SPS 04) and

    R (version 2.15) source package from the R Project for Statistical Computing website and with Rserve version 0.6-8.

    R (version 2.15) source package from the R Project for Statistical Computing website and with Rserve version 1.7-3.

    R (version 3.1) source package from the R Project for Statistical Computing website and with Rserve version 0.6-8.

    R (version 3.2) source package from the R Project for Statistical Computing website and with Rserve version 0.6-8.

    R (version 3.2) source package from the R Project for Statistical Computing website and with Rserve version 1.7-3.


    Interoperability between SAP HANA R integration and newer minor versions of R and Rserve is assumed to be functioning. If incompatibilities are detected in the SAP HANA R integration, SAP reserves the right to request to reproduce the issue in a scenario matching the tested interoperability scenarios. If detected incompatibilites with a specific R or Rserve version require changes in the SAP HANA R integration you will need to use a compatible version of R until the next release of SAP HANA can support that change.


    Note: Beginning with SAP HANA SPS10 and Rserve 1.7-3 encrypted connections between the SAP HANA environment and the R server environment are supported.

    Add a comment
    10|10000 characters needed characters exceeded

Before answering

You should only submit an answer when you are proposing a solution to the poster's problem. If you want the poster to clarify the question or provide more information, please leave a comment instead, requesting additional details. When answering, please include specifics, such as step-by-step instructions, context for the solution, and links to useful resources. Also, please make sure that you answer complies with our Rules of Engagement.
You must be Logged in to submit an answer.

Up to 10 attachments (including images) can be used with a maximum of 1.0 MB each and 10.5 MB total.